Bug 1685902 - rebase network role to latest upstream revision (VLAN fixes and improved treatment of absent profiles)
Summary: rebase network role to latest upstream revision (VLAN fixes and improved trea...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: rhel-system-roles
Version: 8.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: 8.0
Assignee: Pavel Cahyna
QA Contact: David Jež
Marie Dolezelova
URL:
Whiteboard:
Depends On:
Blocks: 1691983 1686866
TreeView+ depends on / blocked
 
Reported: 2019-03-06 09:25 UTC by Pavel Cahyna
Modified: 2019-07-30 19:32 UTC (History)
6 users (show)

Fixed In Version: rhel-system-roles-1.0-6.el8
Doc Type: Rebase: Bug Fixes and Enhancements
Doc Text:
.RHEL System Roles updated The `rhel-system-roles` packages, which provide a configuration interface for RHEL subsystems, have been updated. Notable changes include: * Handling of absent profiles in the `network` role has been improved. When deleting an existing NetworkManager on-disk profile configuration by setting the persistent state to `absent`, only the persistent configuration for the profile is now removed, and the current runtime configuration remains unchanged. As a result, the corresponding network device is no longer brought down in the described situation. * Specifying a Maximum Transmission Unit (MTU) size for VLAN and MACVLAN interfaces in the `network` role has been fixed. As a result, setting MTU size on VLAN and MACVLAN interfaces using the `network` role no longer fails with the following error message: [literal] ---- failure: created connection failed to normalize: nm-connection-error-quark: connection.type: property is missing (6) ---- * The `selinux` and `timesync` roles now include all their documented input variables in their defaults files (`defaults/main.yml`). This makes it easy to determine what input variables are supported by the roles by examining the content of their respective defaults files. * The `kdump` and `timesync` roles have been fixed to not fail in check mode. // references (BZ#1674004, BZ#1685904)
Clone Of:
: 1686866 1691983 (view as bug list)
Environment:
Last Closed: 2019-07-30 19:32:33 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:1995 None None None 2019-07-30 19:32:41 UTC
Github linux-system-roles network issues 19 None None None 2019-03-06 09:25:36 UTC
Github linux-system-roles network pull 101 None None None 2019-03-06 09:25:36 UTC
Github linux-system-roles network pull 95 None None None 2019-03-06 09:25:36 UTC

Description Pavel Cahyna 2019-03-06 09:25:36 UTC
Description of problem:

The network system role has had several updates since the last release: 
- keeps the interface up for state: up if persistent_state is absent (PR#95)
- solves problems with defining VLAN and MACVLAN interface types (issue #19)

Comment 1 Till Maas 2019-03-08 14:56:41 UTC
To match the changes for absent profiles as described in the description, the plan is also to adjust the role to handle state:down persistent_state:present properly. Also a bug with setting MTU in VLAN was found when fixing #19 which needs to be addressed as well.

Comment 3 Pavel Cahyna 2019-06-03 16:22:42 UTC
tests: tests/tests_vlan_mtu_nm.yml, tests/tests_states.yml

Comment 11 errata-xmlrpc 2019-07-30 19:32:33 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:1995


Note You need to log in before you can comment on or make changes to this bug.